#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFA,0x14,0xBB,0x63,0x61,0xD3,0x94,0x05,0xE9,0xD1,0x14,0x8A,
		0x05,0x11,0xDA,0xF4,0x0A,0x51,0xD3,0x3D,0x57,0x7E,0xEA,0x31,
		0x0B,0xF3,0x01,0x5E,0xFF,0xD7,0x09,0xFB,0xEB,0xC5,0x8A,0x05,
		0x98,0x81,0x77,0xF0,0x9F,0xFA,0x85,0x78,0xA1,0xA8,0xD0,0x31,
		0x9B,0x34,0xB7,0x0C,0x2C,0x94,0xA8,0x5E,0xAB,0xE1,0x34,0x82,
		0x85,0x75,0xB0,0xD3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
